<div *ngIf="details">
    <mat-card class="mat-elevation-z5">
        <mat-card-header>
            <mat-card-title>{{ name }}</mat-card-title>
            <mat-card-subtitle>{{ details.address }}</mat-card-subtitle>
            <mat-card-subtitle>{{ details.city }}, {{ details.state }} {{ details.zip }}</mat-card-subtitle>
            <mat-card-subtitle>{{ details.country }} </mat-card-subtitle>
            <mat-card-subtitle>{{ details.phone }}</mat-card-subtitle>
            <mat-card-subtitle>
                <a href={{details.website}}>{{ details.website }}</a>
            </mat-card-subtitle>
        </mat-card-header>
        <mat-card-content>
            <div class="flex-row">
                <div class="market-data-left">
                    {{ details.longBusinessSummary }}
                </div>
                <div class="market-data-right">
                    <div>
                        <label class="key">Sector(s)</label>
                        <span class="value">{{ details.sector }}</span>
                    </div>
                    <div>
                        <label class="key">Industry</label>
                        <span class="value">{{ details.industry }}</span>
                    </div>
                    <div>
                        <label class="key">Full-time employees</label>
                        <span class="value">{{ details.fullTimeEmployees }}</span>
                    </div>
                </div>
            </div>
        </mat-card-content>
    </mat-card>
</div>